@import 'normalize.css';
@import 'variables.scss';

@font-face {
  font-family: 'Lato';
  src: url('../../public/fonts/Lato-Regular.woff2') format('woff2');
  font-style: normal;
  font-weight: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Lato';
  src: url('../../public/fonts/Lato-Semibold.woff2') format('woff2');
  font-style: normal;
  font-weight: 600;
  font-display: swap;
}

a {
  text-decoration: none;
}

.btn {
  height: 30px;
  border-radius: 5px;
  cursor: pointer;
}

.cursor {
  cursor: pointer;
}

body {
  min-width: 320px;
  font-family: 'Lato', 'Roboto';
  font-size: 14px;
  font-weight: normal;
  line-height: normal;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 80px;
  background-color: $colorBlack2;
  box-shadow: 2px 2px 10px red;
  // transition: height 0.3s ease-in-out, background-color 0.3s ease-in-out;

  // &.scrolled {
  //   height: 60px;
  //   background-color: #3e404d;
  //   transition: height 0.3s ease-in-out, background-color 0.3s ease-in-out;
  // }

  &__wrapper-1 {
    display: flex;
    align-items: center;
    margin-left: calc(100vw / 3);
    margin-right: 50px;
  }

  &__wrapper-2 {
    position: relative;
    margin-right: 20px;
    display: flex;
    align-items: center;

    & img {
      width: 40px;
      height: 40px;
      cursor: pointer;
    }
  }

  &__email {
    margin-right: 23px;
    color: $colorWhite1;
  }

  &__link {
    display: flex;
    height: 80px;
    padding: 0 6px;
    font-size: 16px;
    color: $colorWhite1;

    &:not(:last-child) {
      margin-right: 38px;
    }

    &.active {
      background: $colorYellow2;
    }

    &-text {
      display: flex;
      align-items: center;
    }

    &-signin {
      height: 30px;
      padding: 0 39px;
      border-radius: 10px;
      color: $colorWhite1;
      background: $colorYellow1;
    }

    &-signout {
      position: absolute;
      top: 50px;
      right: 0;
      width: 100px;
      height: 30px;
      padding: 4px 22px;
      color: $colorWhite1;
      background-color: $colorBlack4;
      box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
      z-index: 1;
    }
  }
}

.container {
  background-color: $colorBlack1;
  min-height: calc(100vh - 80px);

  &__home {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  &__form {
    display: grid;
    grid-template-columns: 1fr 2fr;
  }
}

.card {
  max-width: 440px;
  min-height: 120px;
  padding: 25px 38px 14px;
  background: $colorBlack3;
  border-radius: 5px;
  // opacity: 0.3;
  cursor: pointer;
  transition: all 0.3s ease-in-out;

  &:hover {
    opacity: 1;
    background: $colorYellow1;
  }

  &__notAcive {
    position: relative;
    max-width: 440px;
    min-height: 120px;

    &-wrapper {
      padding: 25px 38px 14px;
      background: $colorBlack3;
      border-radius: 5px;
      opacity: 0.3;
    }

    &-text {
      position: absolute;
      display: flex;
      align-items: center;
      justify-content: center;
      top: 0;
      right: 0;
      height: 30px;
      padding: 0 20px;
      background: $colorYellow1;
      border-radius: 0px 5px;

      & span {
        color: $colorWhite1;
      }
    }
  }

  &__wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 10px;
    margin: 0 auto;
    padding: 20px;
  }

  &__title {
    margin-bottom: 14px;
    color: $colorWhite1;
    font-size: 24px;
  }

  &__desc {
    color: $colorWhite1;
    font-size: 16px;
  }
}

.questions {
  padding-bottom: 25px;

  &__leftSide {
    height: calc(100vh - 160px);
    overflow-y: auto;
    padding-bottom: 20px;
    scrollbar-width: thin;          /* "auto" или "thin" */
    scrollbar-color: $colorPurple1 transparent;   /* цвет бегунка и зоны отслеживания */

    &::-webkit-scrollbar {
      width: 4px;               /* ширина всей полосы прокрутки */
      &-thumb {
        background-color: $colorPurple1;    /* цвет бегунка */
        border-radius: 10px;       /* округлось бегунка */
        height: 300px;
      }
    }

    &-wrapper {
      margin-bottom: 5px;
    }
    &-div {
      font-size: 0;
      padding: 0 27px;
      margin-bottom: 5px;
    }
  }

  &__categories {
    padding: 0 27px;
    height:80%;
  }

  &__choosenQuestions {
    position: relative;
    width: 100%;
    height: 20px;
    padding: 0;
    background-color: $colorBlack3;
    color: $colorWhite1;
    text-align: center;
    border: none;
    cursor: pointer;
    // font-size: 0;

    &:active {
      opacity: 1;
    }

    &.dragging {
      opacity: 0;
    }

    &-wrapper {
      &:not(:last-child) {
        margin-bottom: 5px;
      }
    }

    &.active {
      margin-bottom: 5px;
      background-color: $colorYellow2;
      color: $colorPurple1;
    }

    &::before {
      content: '';
      position: absolute;
      right: 15px;
      top: 5px;
      border-left: 6px solid transparent; /* Левая граница (нулевая ширина) */
      border-right: 6px solid transparent; /* Правая граница (нулевая ширина) */
      border-bottom: 9px solid $colorWhite1; /* Нижняя граница (создает треугольник) */
    }

    &.active::before{
      border-left: 0;
      border-right: 0;
      border-top: 0;
    }

    &.active::after{
      content: '';
      position: absolute;
      right: 15px;
      top: 5px;
      border-left: 6px solid transparent; /* Левая граница (нулевая ширина) */
      border-right: 6px solid transparent; /* Правая граница (нулевая ширина) */
      border-top: 9px solid $colorWhite1; /* верхняя граница (создает треугольник) */
    }

    &-reports {
      position: relative;
      width: 100%;
      height: 20px;
      padding: 0;
      background-color: $colorBlack3;
      font-size: 16px;
      color: $colorWhite1;
      text-align: center;
      border: none;
      cursor: pointer;

      &.active {
        color: $colorPurple1;
      }
    }
  }

  &__leftQustions {
    display: block;

    &:active {
      opacity: 1;
    }

    &.dragging {
      opacity: 0;
    }
  }

  &__rightSide {
    position: relative;
    height: calc(100vh - 160px);
    padding: 0 20px 0 25px;
    background-color: $colorBlack3;
    overflow-y: auto;
    scrollbar-width: thin;          /* "auto" или "thin" */
    scrollbar-color: $colorPurple1 transparent;   /* цвет бегунка и зоны отслеживания */

    &::-webkit-scrollbar {
      width: 4px;               /* ширина всей полосы прокрутки */
      &-thumb {
        background-color: $colorPurple1;    /* цвет бегунка */
        border-radius: 10px;       /* округлось бегунка */
        height: 300px;
      }
    }
  }

  &__chooseGrade {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;

    &-btn {
      height: 60px;
      background-color: $colorBlack1;
      border: none;
      // outline: none;
      color: $colorWhite1;
      font-size: 18px;
      cursor: pointer;

      &.active {
        background-color: $colorBlack3;
      }
    }
  }

  &__title {
    padding: 20px 0;
    background-color: $colorBlack3;
    text-align: center;
    color: $colorWhite1;
    font-size: 16px;
  }

  &__technology {
    &:active {
      opacity: 1;
    }

    &.dragging {
      opacity: 0;
    }

    &-wrapper1 {
      display: flex;
    }
    &-wrapper2 {
      position: relative;
      display: flex;
      flex-direction: column;
      width: 100%;
      margin-right: 10px;
    }
    &-btn {
      min-width: 125px;
      padding: 0;
      border: 1px solid $colorWhite1;
      background-color: transparent;
      color: $colorWhite1;

      &.isChoosen {
        background: $colorYellow2;
        border: none;
      }
    }

    &-btnRemove {
      background-color: transparent;
      border: 1px solid $colorYellow2;
      color: $colorWhite1;
    }
    &-name {
      position: relative;
      width: 100%;
      height: 30px;
      margin: 0 10px 15px 0;
      border: none;
      border-radius: 0;
      border-bottom: 1px solid $colorPurple1;
      background-color: transparent;
      color: $colorWhite1;
      cursor: pointer;

      &::before {
        content: '';
        position: absolute;
        right: 20px;
        top: 9px;
        border-left: 6px solid transparent; /* Левая граница (нулевая ширина) */
        border-right: 6px solid transparent; /* Правая граница (нулевая ширина) */
        border-bottom: 9px solid $colorWhite1; /* Нижняя граница (создает треугольник) */
      }

      &.isChoosen::before {
        border-bottom: 9px solid $colorWhite1;
      }

      &.active::before{
        content: '';
        position: absolute;
        right: 20px;
        top: 9px;
        border-left: 0;
        border-right: 0;
        border-top: 0;
      }

      &.active::after{
        content: '';
        position: absolute;
        right: 20px;
        top: 9px;
        border-left: 6px solid transparent; /* Левая граница (нулевая ширина) */
        border-right: 6px solid transparent; /* Правая граница (нулевая ширина) */
        border-top: 9px solid $colorWhite1; /* верхняя граница (создает треугольник) */
      }

      &.active.isChoosen::after {
        border-top: 9px solid $colorWhite1;
      }
    }

    &-questions {
      display: flex;
      align-items: center;
      margin-bottom: 10px;
      padding: 0 0 0 25px;
      color: $colorWhite1;
      letter-spacing: 0.5px;
      line-height: 1.5;
      cursor: pointer;

      .selectAll {
        padding-left: 15px;
        &.isSelected {
          color: gray;
        }
      }

      &.highlited {
        color: $colorPurple1;
        padding-left: 40px;
      }

      &.isSelected {
        color: gray;
      }

      &-wrapper {
        &:active {
          opacity: 1;
        }

        &.dragging {
          opacity: 0;
        }
      }

      &-text {
        width: calc(100% - 175px);
        min-height: 30px;
        padding-left: 15px;
        padding-top: 5px;
        color: $colorWhite1;
        letter-spacing: 0.5px;
        line-height: 1.5;
        border-radius: 4px;
        box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
        cursor: pointer;

        &.isSelected {
          color: gray;
        }
      }
    }
  }

  &__nextPage {
    &-wrapper {
      position: fixed;
      display: flex;
      align-items: center;
      width: calc(100% * 2 / 3);
      height: 80px;
      bottom: 0;
      padding: 0 25px;
      background-color: $colorBlack2;

      &.left {
        width: calc(100% * 1 / 3);
        border-top: 1px solid white;
      }

      &.right{
        right: 0;
      }
    }

    &-btn {
      width: 100%;
      padding: 0;
      border: none;
      background: $colorYellow1;
      color: $colorWhite1;

      &:disabled {
        opacity: 0.3;
      }
    }
  }

  &__noData {
    margin-top: 140px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    &-desc {
      margin-bottom: 45px;
      font-size: 18px;
      color: $colorWhite1;
    }

    &-btn {
      display: flex;
      justify-content: center;
      align-items: center;
      min-width: 585px;
      padding: 0;
      border: none;
      background: $colorYellow1;
      color: $colorWhite1;
    }
  }
}

.search {
  padding: 0 27px;

  &__title {
    margin: 25px 0 18px 0;
    text-align: center;
    font-size: 18px;
    color: $colorWhite1;
  }

  &__wrapper {
    position: relative;
  }

  &__input {
    width: 100%;
    height: 40px;
    margin-bottom: 16px;
    padding: 0 20px;
    border-radius: 5px;
    border: none;
    outline: none;
    background-color: $colorBlack3;
    color: $colorWhite1;

    &.hasPlaceholder {
      background-image: url(../../public/Vector.svg);
      background-size: 20px;
      background-repeat: no-repeat;
      background-position: 20px center;
      padding-left: 50px;
    }
  }

  &__clear {
    position: absolute;
    top: 13px;
    right: 18px;
    background-image: url(../../public/ClearSearch.svg);
    width: 14px;
    height: 14px;
    cursor: pointer;
  }

  &__results {
    margin: -11px 0 16px 0;
    padding: 15px 20px 5px 20px;
    border-radius: 5px;
    background-color: $colorBlack3;
  }

  &__result {
    margin-bottom: 10px;
    color: $colorWhite1;
    cursor: pointer;
  }

  &__highlighted-text {
    color: $colorPurple1;
    letter-spacing: 0.5px;
    line-height: 1.5;
  }
}

.answers {
  height: calc(100vh - 280px);
  background-color: $colorBlack4;
  overflow-y: auto;
  scrollbar-width: thin;          /* "auto" или "thin" */
  scrollbar-color: $colorPurple1 transparent;   /* цвет бегунка и зоны отслеживания */

  &::-webkit-scrollbar {
    width: 4px;               /* ширина всей полосы прокрутки */
    &-thumb {
      background-color: $colorPurple1;    /* цвет бегунка */
      border-radius: 10px;       /* округлось бегунка */
      height: 300px;
    }
  }

  &__container {
    position: relative;
    padding: 25px 90px 10px 90px;
  }

  &__preload {
    margin-top: 80px;
    text-align: center;
    color: $colorWhite1;
  }

  &__content {
    display: block;
    max-height: calc(100vh - 285px);
    overflow: auto;
    padding-bottom: 20px;
  }

  &__form {
    position: fixed;
    width: calc(100% *2 / 3);
    height: 220px;
    bottom: 0;
    right: 0;
    padding: 0 10px;
    background-color: $colorBlack2;
  }

  &__title {
    padding-left: 30px;
    margin-top: 20px;
    color: $colorWhite1;
  }

  &__marks {
    display: flex;
    align-items: center;
    justify-content: space-around;
    margin: 12px auto 40px auto;
  }

  &__wrapper-mark {
    display: flex;
    width: 50px;
    &:not(:last-child) {
      margin-right: 10px;
    }
  }

  &__mark {
    display: none;
    /* Стилизуем checked label, чтобы обозначить выбранный вариант */
    &:checked {
      & + .mark_0-55 {
        background-color: #EB6C66;
        height: 40px;
        margin: 0;
        padding: 10px 0;
        border: none;
      }
      & + .mark_60-65 {
        background-color: #E9A469;
        height: 40px;
        margin: 0;
        padding: 10px 0;
        border: none;
      }
      & + .mark_70-75 {
        background-color: $colorDragDrop;
        height: 40px;
        margin: 0;
        padding: 10px 0;
        border: none;
      }
      & + .mark_80-85 {
        background-color: #1583EC;
        height: 40px;
        margin: 0;
        padding: 10px 0;
        border: none;
      }
      & + .mark_90-100 {
        background-color: #37A77B;
        height: 40px;
        margin: 0;
        padding: 10px 0;
        border: none;
      }
    }
  }

  /* Стилизуем label, чтобы они выглядели как кнопки */
  &__label {
    width: 100%;
    height: 30px;
    padding: 5px 0;
    margin: 10px 0;
    text-align: center;
    border-radius: 5px;
    border: 1px solid $colorWhite1;
    background-color: $colorBlack4;
    color: $colorWhite1;
    cursor: pointer;
    transition: all 0.2s ease-in-out;

    &:hover {
      height: 40px;
      margin: 0;
      padding: 10px 0;
      border: none;

      &.mark_0-55 {
        background-color: #EB6C66;
      }
      &.mark_60-65 {
        background-color: #E9A469;
      }
      &.mark_70-75 {
        background-color: $colorDragDrop;
      }
      &.mark_80-85 {
        background-color: #1583EC;
      }
      &.mark_90-100 {
        background-color: #37A77B;
      }
    }
  }

  &__textarea {
    position: relative;
    &-wrapper {
      position: absolute;
      bottom: 53px;
      left: 22px;
      padding: 7px 12px;
      border-radius: 10px;
      background-color: $colorBlack2;
    }

    &-title {
      color: $colorWhite1;
    }

    &-body {
      width: 100%;
      height: 60px;
      padding: 21px 25px;
      outline: none;
      border: none;
      border-radius: 10px;
      background-color: $colorBlack3;
      resize: none;
      color: $colorWhite1;

      &::placeholder {
        color: $colorWhite1;
      }
    }
  }
}

.general-content {
	&__list {
		// min-height: 100vh;
		// padding: 20px 100px 50px;
		// width: 70vw;
	}
	&__title {
		font-size: 16px;
		color: #d1d5db;
		margin-bottom: 20px;
	}
	&__item {
    // display: block;
		font-size: 14px;
		color: #d1d5db;
		margin-bottom: 20px;
		position: relative;
	}
	&__item::before {
		content: "\2022";
		color: #fcfc69;
		margin-right: 10px;
  }
	&__code {
		font-family: JetBrainsMono;
	}
}
.color-aqua {
	color:#df3079;
}
.color-blue {
	color:#2e95d3;;
}
.color-red {
	color:#f22c3d;
}
.color-green {
	color:#00a67d;
}
.gray {
	color:#7A7A7A;
}

.modalWindow {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  background-color: rgba(0, 0, 0, 0.7); /* Задаем прозрачный фон */
  z-index: 1;

  &__container {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: $colorBlack4;
    padding: 40px 20px 20px 20px;
    width: 450px;
    height: 200px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  &__close {
    top: 20px;
  }

  &__loading {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    color: $colorWhite1;
    background-color: rgba(65, 67, 80, 1); /* Задаем прозрачный фон */
    z-index: 2;
  }

  .modalWindow__loading-loader {
    width: 400px;
    height: 20px;
    background-color: #3C3E49;
    position: relative;
    overflow: hidden;
  }

  .modalWindow__loading-loader::after {
    content: '';
    position: absolute;
    top: 0;
    left: -195px; /* Начальная позиция за пределами видимой области */
    width: 400px;
    height: 20px;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.00) 0%, #DA87FF 100%);
    animation: moveRight 2s linear infinite;
  }

  @keyframes moveRight {
    to {
      left: 100%; /* Конечная позиция справа */
    }
  }
}

.report {
  height: calc(100vh - 160px);
  background-color: $colorBlack3;
  overflow-y: auto;
  scrollbar-width: thin;          /* "auto" или "thin" */
  scrollbar-color: $colorPurple1 transparent;   /* цвет бегунка и зоны отслеживания */
  // transition: height 0.3s ease-in-out;

  &::-webkit-scrollbar {
    width: 4px;               /* ширина всей полосы прокрутки */
    &-thumb {
      background-color: $colorPurple1;    /* цвет бегунка */
      border-radius: 10px;       /* округлось бегунка */
      height: 300px;
    }
  }

  // &.scrolled {
  //   height: calc(100vh - 140px);
  //   transition: height 0.3s ease-in-out;
  // }

  &__container {
    position: relative;
    background-color: $colorBlack3;
  }

  &__wrapper {
    padding: 25px;
  }

  &__text {
    color: $colorWhite1;
  }

  &__block {
    &:not(:last-child) {
      margin-bottom: 40px;
    }

    &-title {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 100%;
      height: 40px;
      margin-bottom: 15px;
      border-radius: 10px;
      background-color: $colorBlack1;
      color: #b8b5b5;
    }

    &-text {
      font-size: 16px;
    }

    &-row {
      display: grid;
      grid-template-columns: 40% 10% 50%;
      position: relative;

      &::before {
        content: "";
        position: absolute;
        top: 0;
        bottom: 0;
        left: 40%; /* Положение линии между первой и второй колонкой */
        width: 1px; /* Ширина линии */
        background-color: $colorWhite1; /* Цвет линии */
      }
      &::after {
        content: "";
        position: absolute;
        top: 0;
        bottom: 0;
        left: 50%; /* Положение линии между первой и второй колонкой */
        width: 1px; /* Ширина линии */
        background-color: $colorWhite1; /* Цвет линии */
      }

      &.blackBorder1 {
        &::before {
          position: absolute;
          top: 0;
          bottom: 0;
          left: 40%; /* Положение линии между первой и второй колонкой */
          width: 1px; /* Ширина линии */
          background-color: black; /* Цвет линии */
        }
      }
      &.blackBorder2 {
        &::after {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 50%; /* Положение линии между первой и второй колонкой */
        width: 1px; /* Ширина линии */
        background-color: black; /* Цвет линии */
        }
      }
    }

    &-item {
      // max-width: 60%;
      padding: 0 5px;
      margin-bottom: 20px;
      color: $colorWhite1;

      &:nth-child(1) {
        margin-left: 20px;
      }
      &:nth-child(2) {
        text-align: center;
        margin: 0 auto;
      }
      &:nth-child(3) {
        margin-left: 25px;
      }

      &.report__questions{
        text-align: center;
      }

      &.report__marks{
        margin: 0 auto;
      }

      &.report__comments  {
        text-align: center;
        margin-bottom: 12px;
      }
    }
  }

  &__conclusion {
    display: grid;
      grid-template-columns: 80% 20%;

      &-item {
        display: inline-block;
        color: $colorWhite1;

        &:nth-child(1) {
          width: 80%;
          margin-left: 20px;
          font-size: 16px;
        }
        &:nth-child(2) {
          width: 15%;
          text-align: center;
          font-size: 40px;
        }
      }
  }
}

.feedback {
  display: flex;
  align-items: center;
  justify-content: center;
  height: calc(100vh - 80px);
  background-color: $colorBlack1;

  &__form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  &__title {
    margin-bottom: 50px;
    font-size: 36px;
    font-style: normal;
    color: $colorWhite1;
  }

  &__textarea {
    width: 900px;
    height: 200px;
    margin-bottom: 33px;
    padding: 20px;
    outline: none;
    border: none;
    border-radius: 5px;
    background-color: $colorBlack3;
    resize: none;
    font-size: 16px;
    color: $colorWhite1;
  }

  &__btn {
    width: 100%;
    padding: 0;
    border: none;
    background: $colorYellow1;
    color: $colorWhite1;
  }
}

.signIn {
  display: flex;
  align-items: center;
  justify-content: center;
  height: calc(100vh - 80px);
  background-color: $colorBlack1;
  &__container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  &__title {
    margin-bottom: 50px;
    font-size: 48px;
    color: $colorWhite1;
  }
  &__btn {
    margin-bottom: 10px;
    padding: 0;
    width: 400px;
    border: 1px solid $colorWhite1;
    background: $colorBlack2;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    color: $colorWhite1;
  }
  &__text {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  &__img {
    margin-right: 6px;
  }
}


.checkbox {
  display: none;
}
input[type="checkbox"] ~ label::before {
content: "\00a0"; //символ неразрывного пробела, на экране не видно
  text-align: center;
  color: $colorWhite1;
  width: 24px;
  height: 24px;
  border: 1px inset $colorWhite1;
  border-radius: 5px;
  margin: 3px 15px 3px 0;
  display: inline-block;
}
input[type="checkbox"] ~ label::before {
  cursor: pointer;
}
input[type="checkbox"]:checked ~ label::before {
  content: '\2713';
}
input[type="checkbox"]:checked ~ label::before {
  border: 1px inset $colorPurple1;
}

.loading {
  width: 100%;
  height: calc(100vh - 80px);
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: $colorBlack1;
  opacity: 0.9;
  & svg {
    animation: rotation 2.5s cubic-bezier(0.455, 0.03, 0.515, 0.955) infinite
  }
}
@keyframes rotation {
  to {
    transform: rotate(3turn);
  }
}




